/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */

import java.sql.*;
import java.text.SimpleDateFormat;


public class BaseDatosRemota {

	String cadUsuario = "";
	String cadPassword = "";
	String cadUrlBD = "";
	String cadFecha = "";
	Boolean  booVersionNueva = false;
	String cadFechabase= "";

	Connection con = null;

	Statement stmt = null;
	ResultSet res = null;
	
	public  BaseDatosRemota( Conexion conexion){
		
		Boolean contiene = false;
		
		//Establecemos la conexion
		con = conexion.con;
		
		//Comprobamos si tenemos la varable de fecha base de datos
		contiene = Configuracion.propiedades.containsKey("fechabd");
		if (contiene){

			cadFechabase = Configuracion.propiedades.getProperty("fechabd");
					
		}else{

		//Sino la tenemos cogemos la actual
			SimpleDateFormat formato1 = new SimpleDateFormat("yyyyMMddHHmmss");
			cadFechabase = formato1.format(System.currentTimeMillis());
		}
		
	}

	
	public boolean comprobarBaseDatos(){
		
		String query;

		
		query =" SELECT `fechabd` , `direccionbd` , `usuariobd` , `passwordbd` "+
			   " FROM `BASEDATOSREMOTA`  "+
			   " WHERE fechabd > '"+cadFechabase+"' "+
			   " ORDER BY `fechabd` DESC "+
			   "LIMIT 1 ";

		
		try {
			
			stmt =(Statement) con.createStatement();
			res = (ResultSet) stmt.executeQuery(query);
			
			
			while (res.next()){
		          
				cadFecha = res.getString(1);
				cadUrlBD = res.getString(2);
				cadUsuario = res.getString(3);
				cadPassword = res.getString(4);
				System.out.println("bd es "+cadPassword);
				booVersionNueva = true;
				
			}
	
		
		} catch (SQLException e) {
			System.out.println("Error Comprobando Base de Datos Remota");
			e.printStackTrace();
		}
		return booVersionNueva;
	
	}
	
	public String getFecha(){
	
		return cadFecha;
	}
	
	public String getUrl(){
			
		return cadUrlBD;
	}
	
	public String getPassword(){
		
		return cadPassword;
	}
	
	public String getUsuario(){
		
		return cadUsuario;
	}
	

	
	

}
